XLCubed Excel Edition Prerequisites/Version 5.1


XLCubed Excel Edition requires several packages installed in order to operate correctly. These will be downloaded and installed automatically when you run the XLCubed Excel Edition Setup program.

If access to the internet is unavailable, the packages can be installed manually prior to installation.

v5.1.75 and older

  • Microsoft .NET Framework 2.0 SP1 - (3.5 would also work)
  • Microsoft Core XML Services (MSXML) 6.0 (x86) or (x64)
  • Microsoft SQL Server 2000 PivotTable Services (Analysis Services 8.0 OLEDB Provider) (x86 only)
  • Microsoft SQL Server 2005 Analysis Services 9.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2008 Analysis Services 10.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2005 Analysis Services 9.0 ADOMD.NET Provider (x86) or (x64)

v5.1.76

  • Microsoft .NET Framework 2.0 SP1 - (3.5 would also work)
  • Microsoft Core XML Services (MSXML) 6.0 (x86) or (x64)
  • Microsoft SQL Server 2000 PivotTable Services (Analysis Services 8.0 OLEDB Provider) (x86 only)
  • Microsoft SQL Server 2005 Analysis Services 9.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2008 Analysis Services 10.0 OLEDB Provider (x86) or (x64)
  • Microsoft SQL Server 2008 Analysis Services 10.0 ADOMD.NET Provider (x86) or (x64)